
textures/GExF/sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	nopicmip
	nomipmaps 
	
	q3map_sun 1 .75 .75 300 0 0
	q3map_lightmapFilterRadius 0 4
	q3map_lightsubdivide 256
	q3map_surfaceLight 500
	skyparms env/GExF/sky - -
	
	qer_editorimage env/GExF/sky_ft.jpg
}

textures/GExF/plainglass_red
{
	surfaceparm nolightmap
	surfaceparm solid
	cull twosided
	{
		map textures/GExF/plainglass_red.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
    }
}

textures/GExF/plainglass_blue
{
	surfaceparm nolightmap
	surfaceparm solid
	cull twosided
	{
		map textures/GExF/plainglass_blue.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
    }
}

textures/GExF/lightred
{
	q3map_lightimage textures/GExF/lightred.blend.jpg
	qer_editorimage textures/GExF/lightred.jpg
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/GExF/lightred.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/GExF/lightred.blend.jpg
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/GExF/lightred_sq
{
	q3map_lightimage textures/GExF/lightred_sq.blend.tga
	qer_editorimage textures/GExF/lightred_sq.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	q3map_lightRGB 1 .2 .2
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/GExF/lightred_sq.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/GExF/lightred_sq.blend.tga
		blendfunc add
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/GExF/lightblue_sq
{
	q3map_lightimage textures/GExF/lightblue_sq.blend.tga
	qer_editorimage textures/GExF/lightblue_sq.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	q3map_lightRGB .3 .3 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/GExF/lightblue_sq.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/GExF/lightblue_sq.blend.tga
		blendfunc add
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/GExF/lightred_sq_1K5
{
	q3map_lightimage textures/GExF/lightred_sq.blend.tga
	qer_editorimage textures/GExF/lightred_sq.tga
	q3map_surfacelight 1500
	surfaceparm nomarks
	q3map_lightRGB 1 .2 .2
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/GExF/lightred_sq.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/GExF/lightred_sq.blend.tga
		blendfunc add
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/GExF/lightblue_sq_1K5
{
	q3map_lightimage textures/GExF/lightblue_sq.blend.tga
	qer_editorimage textures/GExF/lightblue_sq.tga
	q3map_surfacelight 1500
	surfaceparm nomarks
	q3map_lightRGB .3 .3 1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/GExF/lightblue_sq.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/GExF/lightblue_sq.blend.tga
		blendfunc add
		rgbGen wave sawtooth .6 .1 0 7
	}
}

models/GExF/tiny_weed_01
{
	cull none
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	nopicmip
	{
		map models/GExF/tiny_weed_01.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap 
		blendFunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

models/GExF/tiny_weed_03
{
	cull none
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	nomipmaps
	nopicmip
	{
		map models/GExF/tiny_weed_03.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap 
		blendFunc filter
		tcGen lightmap 
		depthFunc equal
	}
}

models\GExF\arrow\arrow_s
{
	sort additive
	{
		map models/arrow/arrow.jpg
		blendfunc GL_ONE GL_ONE
	}
	{
		map models/arrow/fog.tga
		blendfunc add
		tcMod scroll -0.2 -0.1
	}	
}

models\GExF\arrow\arrow_red_s
{
	sort additive
	{
		map models/arrow/arrow_red.jpg
		blendfunc GL_ONE GL_ONE
	}
	{
		map models/arrow/fog_red.tga
		blendfunc add
		tcMod scroll -0.2 -0.1
	}	
}